> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bluvo.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Order

> Get the latest status for an exchange order. Clients can poll this endpoint until the normalized status is filled, canceled, or expired.

**Required API Key Scopes:** `trade`



## OpenAPI

````yaml https://api-bluvo.com/api/v0/openapi get /v0/wallet/trade/order/{orderId}
openapi: 3.1.0
info:
  title: Bluvo API (v0)
  description: APIs to supercharge your crypto project.
  version: 0.0.3
  termsOfService: https://bluvo.co/terms
  contact:
    name: Bluvo
    email: help@bluvo.co
    url: https://bluvo.co
servers:
  - url: https://api-bluvo.com
    description: Production Server
  - url: https://test.api-bluvo.com
    description: Development Server
security: []
paths:
  /v0/wallet/trade/order/{orderId}:
    get:
      tags:
        - Trading
      summary: Get Order
      description: >-
        Get the latest status for an exchange order. Clients can poll this
        endpoint until the normalized status is filled, canceled, or expired.


        **Required API Key Scopes:** `trade`
      operationId: wallettradeorderorderidgetorder
      parameters:
        - name: orderId
          in: path
          required: true
          description: Order ID returned by Place Order
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  orderId:
                    type: string
                  exchange:
                    type: string
                  status:
                    type: string
                    enum:
                      - open
                      - filled
                      - canceled
                      - expired
                      - unknown
                  rawStatus:
                    type: string
                  volume:
                    type: string
                  executedVolume:
                    type: string
                  cost:
                    type: string
                  averagePrice:
                    type: string
                  fee:
                    type: string
                  openedAt:
                    type: number
                  closedAt:
                    type: number
                  description:
                    type: object
                    properties:
                      pair:
                        type: string
                      side:
                        type: string
                      type:
                        type: string
                  rawResponse: {}
                required:
                  - orderId
                  - exchange
                  - status
                  - rawStatus
              example:
                orderId: OABC12-DEF34-GHIJKL
                exchange: kraken
                status: filled
                rawStatus: closed
                volume: '70.00000000'
                executedVolume: '70.00000000'
                cost: '9.12345'
                averagePrice: '0.130335'
                fee: '0.03649'
                openedAt: 1770000000
                closedAt: 1770000002
                description:
                  pair: XDGUSDC
                  side: sell
                  type: market
                rawResponse:
                  status: closed
                  vol: '70.00000000'
                  vol_exec: '70.00000000'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  type:
                    type: string
                    enum:
                      - GENERIC_NOT_FOUND
                      - GENERIC_UNAUTHORIZED
                      - GENERIC_INTERNAL_SERVER_ERROR
                      - GENERIC_VALIDATION_ERROR
                      - GENERIC_INVALID_REQUEST
                      - GENERIC_RATE_LIMIT_EXCEEDED
                      - APIKEY_INSUFFICIENT_PERMISSIONS
                      - WALLET_NOT_FOUND
                      - WALLET_INVALID_CREDENTIALS
                      - WALLET_IDENTITY_NOT_FOUND
                      - QUOTE_NOT_FOUND
                      - QUOTE_EXPIRED
                      - WITHDRAWAL_INSUFFICIENT_BALANCE
                      - WITHDRAWAL_INSUFFICIENT_BALANCE_FOR_FEE
                      - WITHDRAWAL_INVALID_ADDRESS
                      - WITHDRAWAL_NETWORK_NOT_SUPPORTED
                      - WITHDRAWAL_TOO_MANY_ADDRESSES
                      - WITHDRAWAL_FUNDING_ADDRESS_CONFLICT
                      - WITHDRAWAL_AMOUNT_BELOW_MINIMUM
                      - WITHDRAWAL_AMOUNT_ABOVE_MAXIMUM
                      - WITHDRAWAL_ASSET_NOT_SUPPORTED
                      - WITHDRAWAL_PROVIDER_ERROR
                      - WITHDRAWAL_2FA_REQUIRED_TOTP
                      - WITHDRAWAL_2FA_REQUIRED_SMS
                      - WITHDRAWAL_2FA_REQUIRED_FACE_RECOGNITION
                      - WITHDRAWAL_2FA_REQUIRED_EMAIL
                      - WITHDRAWAL_2FA_REQUIRED_YUBIKEY
                      - WITHDRAWAL_2FA_REQUIRED_PASSPHRASE
                      - WITHDRAWAL_2FA_REQUIRED_MULTI_STEPS
                      - WITHDRAWAL_2FA_INCOMPLETE
                      - WITHDRAWAL_2FA_INVALID
                      - WITHDRAWAL_2FA_METHOD_NOT_SUPPORTED
                      - WITHDRAWAL_KYC_REQUIRED
                      - WITHDRAWAL_EMAIL_UNVERIFIED
                      - WITHDRAWAL_RATE_LIMIT_EXCEEDED
                      - OAUTH_AUTHORIZATION_FAILED
                      - OAUTH_TOKEN_EXCHANGE_FAILED
                      - OAUTH_INVALID_STATE
                      - OAUTH_INSUFFICIENT_SCOPE
                      - OAUTH_QR_CODE_UNAVAILABLE
                      - OAUTH_COUNTRY_NOT_DETECTED
                      - OAUTH_COUNTRY_NOT_SUPPORTED
                      - OAUTH_COUNTRY_CODE_INVALID
                      - WEBHOOK_SIGNATURE_INVALID
                      - WEBHOOK_MISSING_HEADERS
                      - WEBHOOK_INVALID_TIMESTAMP
                      - CACHE_MISS
                      - CACHE_EXPIRED
                      - CACHE_INVALID_PATH
                      - DEPOSIT_NOT_IMPLEMENTED
                      - DEPOSIT_ASSET_REQUIRED
                      - DEPOSIT_NETWORK_REQUIRED
                      - DEPOSIT_METHODS_UNAVAILABLE
                      - DEPOSIT_ADDRESS_UNAVAILABLE
                      - DEPOSIT_EXCHANGE_NOT_SUPPORTED
                      - DEPOSIT_METHOD_NOT_RESOLVED
                      - WITHDRAWAL_DRY_RUN_COMPLETE
                      - TRADING_DATA_UNAVAILABLE
                      - TRADING_EXCHANGE_NOT_SUPPORTED
                      - TRADING_ROUTE_NOT_FOUND
                      - TRADING_ROUTE_UNAVAILABLE
                      - TRADING_ORDER_TYPE_NOT_SUPPORTED
                      - TRADING_ORDER_NOT_FOUND
                      - TRADING_PROVIDER_ERROR
                      - INFO_ASSET_REQUIRED
                      - INFO_FEE_EXCHANGE_NOT_SUPPORTED
                      - ENRICHMENT_NETWORK_NOT_SUPPORTED
                      - ENRICHMENT_TIMEOUT
                      - ENRICHMENT_API_ERROR
                  result: {}
                required:
                  - error
                  - type
              example:
                error: 'Trading is not supported for exchange: coinbase'
                type: TRADING_EXCHANGE_NOT_SUPPORTED
        '403':
          description: Forbidden - Insufficient API key permissions
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  type:
                    type: string
                    const: APIKEY_INSUFFICIENT_PERMISSIONS
                  missing:
                    type: array
                    items:
                      type: string
                required:
                  - error
                  - type
                  - missing
              example:
                error: Insufficient permissions
                type: APIKEY_INSUFFICIENT_PERMISSIONS
                missing:
                  - trade
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  type:
                    type: string
                    enum:
                      - GENERIC_NOT_FOUND
                      - GENERIC_UNAUTHORIZED
                      - GENERIC_INTERNAL_SERVER_ERROR
                      - GENERIC_VALIDATION_ERROR
                      - GENERIC_INVALID_REQUEST
                      - GENERIC_RATE_LIMIT_EXCEEDED
                      - APIKEY_INSUFFICIENT_PERMISSIONS
                      - WALLET_NOT_FOUND
                      - WALLET_INVALID_CREDENTIALS
                      - WALLET_IDENTITY_NOT_FOUND
                      - QUOTE_NOT_FOUND
                      - QUOTE_EXPIRED
                      - WITHDRAWAL_INSUFFICIENT_BALANCE
                      - WITHDRAWAL_INSUFFICIENT_BALANCE_FOR_FEE
                      - WITHDRAWAL_INVALID_ADDRESS
                      - WITHDRAWAL_NETWORK_NOT_SUPPORTED
                      - WITHDRAWAL_TOO_MANY_ADDRESSES
                      - WITHDRAWAL_FUNDING_ADDRESS_CONFLICT
                      - WITHDRAWAL_AMOUNT_BELOW_MINIMUM
                      - WITHDRAWAL_AMOUNT_ABOVE_MAXIMUM
                      - WITHDRAWAL_ASSET_NOT_SUPPORTED
                      - WITHDRAWAL_PROVIDER_ERROR
                      - WITHDRAWAL_2FA_REQUIRED_TOTP
                      - WITHDRAWAL_2FA_REQUIRED_SMS
                      - WITHDRAWAL_2FA_REQUIRED_FACE_RECOGNITION
                      - WITHDRAWAL_2FA_REQUIRED_EMAIL
                      - WITHDRAWAL_2FA_REQUIRED_YUBIKEY
                      - WITHDRAWAL_2FA_REQUIRED_PASSPHRASE
                      - WITHDRAWAL_2FA_REQUIRED_MULTI_STEPS
                      - WITHDRAWAL_2FA_INCOMPLETE
                      - WITHDRAWAL_2FA_INVALID
                      - WITHDRAWAL_2FA_METHOD_NOT_SUPPORTED
                      - WITHDRAWAL_KYC_REQUIRED
                      - WITHDRAWAL_EMAIL_UNVERIFIED
                      - WITHDRAWAL_RATE_LIMIT_EXCEEDED
                      - OAUTH_AUTHORIZATION_FAILED
                      - OAUTH_TOKEN_EXCHANGE_FAILED
                      - OAUTH_INVALID_STATE
                      - OAUTH_INSUFFICIENT_SCOPE
                      - OAUTH_QR_CODE_UNAVAILABLE
                      - OAUTH_COUNTRY_NOT_DETECTED
                      - OAUTH_COUNTRY_NOT_SUPPORTED
                      - OAUTH_COUNTRY_CODE_INVALID
                      - WEBHOOK_SIGNATURE_INVALID
                      - WEBHOOK_MISSING_HEADERS
                      - WEBHOOK_INVALID_TIMESTAMP
                      - CACHE_MISS
                      - CACHE_EXPIRED
                      - CACHE_INVALID_PATH
                      - DEPOSIT_NOT_IMPLEMENTED
                      - DEPOSIT_ASSET_REQUIRED
                      - DEPOSIT_NETWORK_REQUIRED
                      - DEPOSIT_METHODS_UNAVAILABLE
                      - DEPOSIT_ADDRESS_UNAVAILABLE
                      - DEPOSIT_EXCHANGE_NOT_SUPPORTED
                      - DEPOSIT_METHOD_NOT_RESOLVED
                      - WITHDRAWAL_DRY_RUN_COMPLETE
                      - TRADING_DATA_UNAVAILABLE
                      - TRADING_EXCHANGE_NOT_SUPPORTED
                      - TRADING_ROUTE_NOT_FOUND
                      - TRADING_ROUTE_UNAVAILABLE
                      - TRADING_ORDER_TYPE_NOT_SUPPORTED
                      - TRADING_ORDER_NOT_FOUND
                      - TRADING_PROVIDER_ERROR
                      - INFO_ASSET_REQUIRED
                      - INFO_FEE_EXCHANGE_NOT_SUPPORTED
                      - ENRICHMENT_NETWORK_NOT_SUPPORTED
                      - ENRICHMENT_TIMEOUT
                      - ENRICHMENT_API_ERROR
                  result: {}
                required:
                  - error
                  - type
              example:
                error: 'Kraken order not found: OABC12-DEF34-GHIJKL'
                type: TRADING_ORDER_NOT_FOUND
      security:
        - bluvoApiKey:
            - x-bluvo-api-key
          bluvoOrgId:
            - x-bluvo-org-id
          bluvoProjectId:
            - x-bluvo-project-id
          bluvoWalletId:
            - x-bluvo-wallet-id
components:
  securitySchemes:
    bluvoApiKey:
      type: apiKey
      name: x-bluvo-api-key
      in: header
      description: Bluvo API Key
    bluvoOrgId:
      type: apiKey
      name: x-bluvo-org-id
      in: header
      description: Bluvo Organization ID
    bluvoProjectId:
      type: apiKey
      name: x-bluvo-project-id
      in: header
      description: Bluvo Project ID
    bluvoWalletId:
      type: apiKey
      name: x-bluvo-wallet-id
      in: header
      description: Bluvo Wallet ID

````